# Phone Number

## Endpoints

| Method | URL                                  |
| ------ | ------------------------------------ |
| POST   | `$synapses`**/v1/account/screening** |

### Headers

| Header          | Value                                           |
| --------------- | ----------------------------------------------- |
| `Content-Type`  | `application/json`                              |
| `Authorization` | `Bearer` [`YOUR_API_KEY`](/authentication-1.md) |

### **Request**

{% tabs %}
{% tab title="Description" %}

| Field                                                         | Type | Description |
| ------------------------------------------------------------- | ---- | ----------- |
| <p>phoneNumber</p><p><strong><code>(Required)</code></strong> |      |             |

</p> | `String` | Phone number with national code (e.g. 6281234567890) |
| phoneReportStartDate&#xD;                                          | `Date`   | Get user reports history from date                   |
| phoneReportEndDate&#xD;                                            | `Date`   | Get user reports history to date                     |
{% endtab %}

{% tab title="Example" %}

```
{
	"phoneNumber": "085733756668"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If the phone number starts with 0 (not a national code), the system will automatically specify the number as the phone number from the Indonesia region.
{% endhint %}

### **Response**

{% tabs %}
{% tab title="Description" %}

| Field                  | Type                                                                         | Description                                                                     |
| ---------------------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| fullName&#xD;          | `String`&#xD;                                                                | Phone number full name                                                          |
| phoneNumber&#xD;       | `String`                                                                     | Phone number                                                                    |
| providerName&#xD;      | `String`                                                                     | Provider name                                                                   |
| providerType&#xD;      | `String`                                                                     | Provider type (e.g. Simpati)                                                    |
| countryName&#xD;       | `String`                                                                     | Country name                                                                    |
| countryCode&#xD;       | `String`                                                                     | Country code                                                                    |
| nationalNumber&#xD;    | `String`                                                                     | National number                                                                 |
| regionName&#xD;        | `String`                                                                     | Region name                                                                     |
| isPossibleNumber&#xD;  | `Boolean`&#xD;                                                               | Return true when it's a possible number (e.g. it has the right number of digits |
| isValidNumber&#xD;     | `Boolean`&#xD;                                                               | Return true when it's a valid number (e.g. it's in an assigned exchange)        |
| isTrustedProvider&#xD; | `Boolean`&#xD;                                                               | Return true when the provider is trusted                                        |
| reportCount&#xD;       | `Int`                                                                        | The number of fraud reports related to the phone numbers                        |
| reportScore&#xD;       | `Float` &#xD;                                                                | Accumulated total report score                                                  |
| isWhitelist&#xD;       | `Boolean`&#xD;                                                               | Phone number whitelist status                                                   |
| isBlacklist&#xD;       | `Boolean`&#xD;                                                               | Phone number blacklist status                                                   |
| score&#xD;             | <p><code>Float</code> </p><p><strong><code>(-100 to 100)</code></strong></p> | Total accumulated credibility score of the phone number                         |
| {% endtab %}           |                                                                              |                                                                                 |

{% tab title="Example" %}

```
{
    "message": "Account Screening - Single.",
    "data": {
        "id": "8838a65c-7a74-42e6-9c82-934338b84827",
        "score": -5,
        "status": "pass",
        "phoneDetails": {
            "fullName": null,
            "phoneNumber": "6285733756668",
            "providerName": "IM3",
            "providerType": null,
            "countryName": "Indonesia",
            "countryCode": null,
            "nationalNumber": "85733756668",
            "isValidNumber": true,
            "isTrustedProvider": false,
            "reportCount": 1,
            "reportScore": -5,
            "reviewCount": 0,
            "reviewCountSummary": {
                "oneStars": 0,
                "twoStars": 0,
                "threeStars": 0,
                "fourStars": 0,
                "fiveStars": 0
            },
            "reviewScore": 0,
            "isBlacklist": false,
            "isWhitelist": false,
            "score": -5
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kredibel.io/api-references/account-screening/phone-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
